> For the complete documentation index, see [llms.txt](https://docs.uiza.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uiza.io/2021-09-21/api-reference/video-entities/delete-a-video-entity.md).

# Delete a video entity

## /v1/video-entities/:id

<mark style="color:red;">`DELETE`</mark> `https://api.uiza.io/api-vod/owner/v1/video-entities/:id`

#### Path Parameters

| Name                               | Type   | Description                                       |
| ---------------------------------- | ------ | ------------------------------------------------- |
| <mark style="color:red;">\*</mark> | String | The identifier of your video entity to be deleted |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {}
}
```

{% endtab %}

{% tab title="401 " %}

```
{
  "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
  "error_type": "invalid_request_error"
}5
```

{% endtab %}

{% tab title="500 " %}

```
{
  "message": "An unexpected error occurred on Uiza's end.",
  "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request DELETE 'https://api.uiza.io/api-vod/owner/v1/video-entities/22013d8a-d5fa-48f0-9a63-1f471ca9e81d' \
--header 'Authorization: <token>' \
--header 'uiza-app-id: <your_app_id>'
```

{% endcode %}
